I can't download anything from the app store?

I have an iPhone 3GS and Everytime I try to download something it says something about "this app requires iOS 4.2" or whatever and it keeps on doing that all the time. Right now I have version 4.1 do I have to update and if I do, how do I do that.

4 Answers

Relevance
  • 8 years ago
    Favorite Answer

    If you have a iPhone 3GS you can update it the the latest greatest iOS using iTunes. If if have an iPhone 3G you will only be able to update up to iOS 4.2.1. If that is the case finding new apps may not be easy. Look at "VintApps" in the Apple App Store. I wrote this app finder to discover and install apps available for earlier devices.

  • Liz H
    Lv 7
    8 years ago

    The most recent update for your phone is 4.2.1

    Many Apps require 4.3 or higher.

    Read the requirements before you try to download.

    Update you iTunes on the computer and if you click on Settings, General, software update.

    Then update all apps on the phone also.

  • 4 years ago

    I have no concept what's happening! My iPod 3g replaced into working surprising in the previous at present! And now together as i attempted to interchange my apps and purchase an album this is going to ask for my password and that i visit place it in yet then this is going to say won't have the potential to attach to iTunes save! My safari and wifi is impressive tho. Apple is pissing me off. D:<

  • Sam
    Lv 7
    8 years ago

    You can just click connect to itunes and it will ask you if you want to update. You probably should anyways as it sounds like your version is so old you probably dont even have imessage on that version.

Still have questions? Get your answers by asking now.